Bug 1019151 - Missing sources jar for javax.faces
Missing sources jar for javax.faces
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Build (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: CR1
: EAP 6.2.0
Assigned To: Yong Yang
Pavel Jelinek
:
Depends On:
Blocks: 908741
  Show dependency treegraph
 
Reported: 2013-10-15 04:35 EDT by Yong Yang
Modified: 2015-02-20 05:21 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:48:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yong Yang 2013-10-15 04:35:55 EDT
Description of problem:

Need to rebuild glassfish-jsf12 to deploy sources jar to mead repo, so that we can generate corresponding javadocs when building javadocs for EAP6.2.0.
Comment 1 Yong Yang 2013-10-15 04:37:01 EDT
Resolved in build glassfish-jsf12-1.2_15-13_b01_redhat_4.ep6.el6:
https://brewweb.devel.redhat.com/buildinfo?buildID=299864
Comment 2 Pavel Jelinek 2013-11-07 10:42:21 EST
There is
jboss-eap-6.2.0.GA-maven-repository/javax/faces/jsf-api/1.2_15-b01-redhat-6/jsf-api-1.2_15-b01-redhat-6-sources.jar in jboss-eap-6.2.0.ER7-maven-repository.zip and it contains source files. It's ok.

There is also jboss-eap-6.2.0.GA-maven-repository/javax/faces/jsf-impl/1.2_15-b01-redhat-6/jsf-impl-1.2_15-b01-redhat-6-sources.jar in jboss-eap-6.2.0.ER7-maven-repository.zip but it does NOT contain any source file just META-INF.
Comment 4 David Walluck 2013-11-09 14:04:23 EST
The most recent build, 1.2_15-b01-redhat-8, fixes the sources jar for jsf-impl, creates a javadoc jar for jsf-impl, and fixes the sources jars which previously did not include any generated sources.
Comment 5 Pavel Jelinek 2013-11-14 07:34:38 EST
jboss-eap-6.2.0.GA-maven-repository/javax/faces/jsf-impl/1.2_15-b01-redhat-8/jsf-impl-1.2_15-b01-redhat-8-sources.jar and 
jboss-eap-6.2.0.GA-maven-repository/javax/faces/jsf-api/1.2_15-b01-redhat-8/jsf-api-1.2_15-b01-redhat-8-sources.jar 
in jboss-eap-6.2.0.CR1-maven-repository.zip are OK.

Note You need to log in before you can comment on or make changes to this bug.